
QGIS Application - Bug report #17835

Error in scrolling table in DB Manager in QGIS 2.99

2018-01-10 01:18 PM - didier peeters

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: Yes

Operating System: Mac Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25729

Description

When scrolling down a Postgis table in DB Manager after 200 rows the scrolling slows down and stops.  Error found : 

Traceback (most recent call last):

              File

"/usr/local/Cellar/qgis3-dev/2.99/QGIS.app/Contents/MacOS/../Resources/python/plugins/db_manager/db_plugins/data_model.py", line

67, in data

                val = self.getData(index.row(), index.column())

              File

"/usr/local/Cellar/qgis3-dev/2.99/QGIS.app/Contents/MacOS/../Resources/python/plugins/db_manager/db_plugins/data_model.py", line

131, in getData

                self.fetchMoreData(start)

              File

"/usr/local/Cellar/qgis3-dev/2.99/QGIS.app/Contents/MacOS/../Resources/python/plugins/db_manager/db_plugins/postgis/data_model.py", line 73, in fe

y", line 73, in fetchMoreData

                self.cursor.scroll(row_start, mode='absolute')

            TypeError: integer argument expected, got float

Associated revisions

Revision fa56aa55 - 2018-02-13 09:49 AM - Nyall Dawson

[dbmanager] Fix python error when scrolling postgis results

Fixes #17835

History

#1 - 2018-02-12 11:17 PM - Nyall Dawson

- Regression? changed from No to Yes

#2 - 2018-02-13 09:48 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|fa56aa5542490f5d793af58f7e0650f460ee7586.

#3 - 2018-02-21 09:53 PM - Giovanni Manghi

- Resolution set to fixed/implemented
